#!/bin/sh
# SPDX-License-Identifier: MIT
# Copyright (C) 2019 Beckhoff Automation GmbH & Co. KG

. /usr/local/bin/shlib/add_or_replace_in.sh
. /usr/local/bin/shlib/std.sh

if [ $(id -u) -ne 0 ]; then
	throw "Usage: run '$0' as root.\n"
fi

# enable developer mode, first!
/bin/sh /usr/local/share/examples/bhf/enable-developer-mode.sh "$@"

# install gui
/bin/sh /usr/local/share/examples/bhf/install-gui.sh

# install gui tools for developers
env ASSUME_ALWAYS_YES=YES pkg install \
	gconf2 \
	git-gui \
	gtk3 \
	kde-baseapps \
	kf5-frameworks \
	sddm-freebsd-black-theme \
	snappy \
	speech-dispatcher \
	virtualbox-ose-additions \
	wget \
	xterm
